Forum:Lisp
Thema:DOTS-Schraffuren auf SOLID ändern
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge verwalten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
Peter2

Beiträge: 3469 / 4

Win 10/64 Pro
AutoCAD MAP 3D 2018
BricsCAD 19.2.14

Guten Abend

ich muss automatisch bestehende Schraffuren aus DOT in SOLID umwandeln. Ein Blick auf die Gruppencodes zeigt doch massive Strukturunterschiede.

Gibt es hier eine einfache Lösung oder wird das aufwendiger ...?

Peter

------------------
Für jedes Problem gibt es eine einfache Lösung.
Die ist aber meistens falsch. ;-)

[Diese Nachricht wurde von Peter2 am 30. Sep. 2009 editiert.]

CAD-Huebner

Beiträge: 9589 / 93

One AutoCAD 2.5 - 2021, Civil 3D, Win10

Eine einfache Lösung (mit Command) gibts fast immer.

Code:
(defun C:modhatch ( / hatchobj)
  (Prompt "\nUmwandlung des Schraffurmusters zu SOLID")
  (setq hatchobj (car (entsel "\Scharffurobjekt wählen:")))
  (if (and (= "HATCH" (cdr (assoc 0 (entget hatchobj)))))
    (command "_-hatchedit" hatchobj "_prop" "Solid")
  )

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Peter2

Beiträge: 3469 / 4

Win 10/64 Pro
AutoCAD MAP 3D 2018
BricsCAD 19.2.14

Zitat:
Original erstellt von CAD-Huebner:
...(command "_-hatchedit" hatchobj "_prop" "Solid")...

Oops - da ist mir wieder ein Standard entgangen (hätte ich mit Doppelklick auch finden können  )

Besten Dank und guten Abend 

Peter

------------------
Für jedes Problem gibt es eine einfache Lösung.
Die ist aber meistens falsch. ;-)

Dorfy

Beiträge: 893 / 251

AutoCad2007, ProE, HiCad

Hi Peter,
mal nen Versuch ohne command

  (setq hatch (vlax-ename->vla-object (car (entsel "\nHatch:"))))
  (vla-SetPattern hatch acHatchPatternTypePreDefined "SOLID")

------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."   (www.uni-leipzig.de/~rotheh/elefant.htm)

CAD-Huebner

Beiträge: 9589 / 93

One AutoCAD 2.5 - 2021, Civil 3D, Win10

Ich bin heute per PM gefragt worden, ob man das makro auch noch mit einem anschließenden Farbwechsel verbinden kann.
Klar kann man :=)

Code:
; CAD-Huebner - 03.09.2020
; kleine Erweiterung für den Farbwechsel mit EIGÄNDR / _CHPROP
(defun C:modhatch ( / hatchobj)
  (Prompt "\nUmwandlung des Schraffurmusters zu SOLID mit TrueColor weiß")
  (setq hatchobj (car (entsel "\nSchraffurobjekt wählen:")))
  (if (and (= "HATCH" (cdr (assoc 0 (entget hatchobj)))))
    (progn
      (command "_-hatchedit" hatchobj "_prop" "Solid")
      (command "_chprop" hatchobj "" "_color" "_Truecolor" "255,255,255" "")
    )
  )


------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Hämmy

Beiträge: 52 / 0

Windows 10 Professional 64-Bit
Intel Core i7-3770
3,40GHz
32,0 GB RAM
Grafikkarte Radeon RX 470

@CAD-Huebner,

danke für diese Erweiterung, diese erleichtert mir die Arbeit um einiges 

@all,

ich war der, welcher per PN angefragt hatte 

Gruß Stefan